module GI.WebKit2.Objects.Settings where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Settings = Settings (ForeignPtr Settings)
instance GObject Settings where
class GObject o => SettingsK o
instance (GObject o, IsDescendantOf Settings o) => SettingsK o
data SettingsAllowFileAccessFromFileUrlsPropertyInfo
data SettingsAllowModalDialogsPropertyInfo
data SettingsAutoLoadImagesPropertyInfo
data SettingsCursiveFontFamilyPropertyInfo
data SettingsDefaultCharsetPropertyInfo
data SettingsDefaultFontFamilyPropertyInfo
data SettingsDefaultFontSizePropertyInfo
data SettingsDefaultMonospaceFontSizePropertyInfo
data SettingsDrawCompositingIndicatorsPropertyInfo
data SettingsEnableAccelerated2dCanvasPropertyInfo
data SettingsEnableCaretBrowsingPropertyInfo
data SettingsEnableDeveloperExtrasPropertyInfo
data SettingsEnableDnsPrefetchingPropertyInfo
data SettingsEnableFrameFlatteningPropertyInfo
data SettingsEnableFullscreenPropertyInfo
data SettingsEnableHtml5DatabasePropertyInfo
data SettingsEnableHtml5LocalStoragePropertyInfo
data SettingsEnableHyperlinkAuditingPropertyInfo
data SettingsEnableJavaPropertyInfo
data SettingsEnableJavascriptPropertyInfo
data SettingsEnableMediaStreamPropertyInfo
data SettingsEnableMediasourcePropertyInfo
data SettingsEnableOfflineWebApplicationCachePropertyInfo
data SettingsEnablePageCachePropertyInfo
data SettingsEnablePluginsPropertyInfo
data SettingsEnablePrivateBrowsingPropertyInfo
data SettingsEnableResizableTextAreasPropertyInfo
data SettingsEnableSiteSpecificQuirksPropertyInfo
data SettingsEnableSmoothScrollingPropertyInfo
data SettingsEnableSpatialNavigationPropertyInfo
data SettingsEnableTabsToLinksPropertyInfo
data SettingsEnableWebaudioPropertyInfo
data SettingsEnableWebglPropertyInfo
data SettingsEnableWriteConsoleMessagesToStdoutPropertyInfo
data SettingsEnableXssAuditorPropertyInfo
data SettingsFantasyFontFamilyPropertyInfo
data SettingsJavascriptCanAccessClipboardPropertyInfo
data SettingsJavascriptCanOpenWindowsAutomaticallyPropertyInfo
data SettingsLoadIconsIgnoringImageLoadSettingPropertyInfo
data SettingsMediaPlaybackAllowsInlinePropertyInfo
data SettingsMediaPlaybackRequiresUserGesturePropertyInfo
data SettingsMinimumFontSizePropertyInfo
data SettingsMonospaceFontFamilyPropertyInfo
data SettingsPictographFontFamilyPropertyInfo
data SettingsPrintBackgroundsPropertyInfo
data SettingsSansSerifFontFamilyPropertyInfo
data SettingsSerifFontFamilyPropertyInfo
data SettingsUserAgentPropertyInfo
data SettingsZoomTextOnlyPropertyInfo
