module GI.WebKit2.Objects.Download where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Download = Download (ForeignPtr Download)
instance GObject Download where
class GObject o => DownloadK o
instance (GObject o, IsDescendantOf Download o) => DownloadK o
data DownloadAllowOverwritePropertyInfo
data DownloadDestinationPropertyInfo
data DownloadEstimatedProgressPropertyInfo
data DownloadResponsePropertyInfo
data DownloadCreatedDestinationSignalInfo
data DownloadDecideDestinationSignalInfo
data DownloadFailedSignalInfo
data DownloadFinishedSignalInfo
data DownloadReceivedDataSignalInfo
